/** Setting of worker threads pool */
export interface WorkerPoolSetting {
    maxWorkerThreads?: number;
}
/**
 * @param setting  Custom setting
 */
export declare function init(setting?: WorkerPoolSetting): void;
/**
 * @param handler  routine function
 * @param context  variables defined in context
 *
 * @returns        handler function result
 */
export declare function go(handler: Function, context?: Object): Promise<unknown>;
/**
 * Shutdown worker threads pool
 */
export declare function shutdown(): Promise<void>;
